/*

File: MyQTMovie.h

Abstract: Interface file for MyQTMovie.m

Version: <1.0>

*/ 

#import <Foundation/Foundation.h>
#import <QTKit/QTKit.h>
#import <QuickTime/QuickTime.h>

@class MyNSImage;

@interface MyQTMovie : QTMovie {

	MCActionFilterWithRefConUPP mcActionFilterCallBack;
	SEL playbackSelector;
	SEL movieStoppedSelector;
	SEL movieDidEndSelector;
	id  movieDidEndTargetObject,
		playbackTargetObject,
		movieStoppedTargetObject;

    QTCallBack    theQTCallBack;
    QTCallBackUPP theCallBackUPP;
}

-(void)callPlaybackSelector;
-(void)callMovieStoppedSelector;
-(void)setMovieStoppedSelector:(SEL)aSelector withObject:(id)theTarget;
-(void)setMovieDidEndSelector:(SEL)aSelector withObject:(id)theTarget;
-(void)setPlaybackSelector:(SEL)aSelector withObject:(id)theTarget;
-(void)movieDidEnd:(NSNotification *)notification;
-(void)movieRateChanged:(NSNotification *)notification;

-(void)installMovieDidEndNotification;
-(void)installRateChangeNotification;

-(void)setMovieDidEndNotificationCallback:(SEL)aSelector withObject:(id)theTarget;
-(void)setMovieRateChangeNotificationCallback:(SEL)aSelector withObject:(id)theTarget;
-(void)setMoviePlaybackNotificationCallback:(SEL)aSelector withObject:(id)theTarget;

-(void)removeMovieDidEndNotification;
-(void)removeMovieRateChangeNotification;
-(void)removeMCActionFilter;

-(void)removeAllMovieCallbacks;


@end

pascal void MyCallBackAtMovieStop(QTCallBack cb, long refCon);

pascal Boolean MyMCActionFilterCallBack (
     MovieController    mc,
     short              action,
     void               *params,
     long               refCon );
